Package org.optaplanner.core.impl.score.stream.drools.uni

## Class DroolsUniToBiGroupByAccumulator<A,​NewA,​NewB>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByAccumulator<A>
  - - org.optaplanner.core.impl.score.stream.drools.uni.DroolsUniToBiGroupByAccumulator<A,​NewA,​NewB>

- All Implemented Interfaces:
    `org.drools.core.spi.Accumulator`, `org.drools.core.spi.Invoker`, `org.drools.core.spi.RuleComponent`

      public class DroolsUniToBiGroupByAccumulator<A,​NewA,​NewB>
      extends DroolsAbstractGroupByAccumulator<A>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.spi.Accumulator

      `org.drools.core.spi.Accumulator.SafeAccumulator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DroolsUniToBiGroupByAccumulator​(Function<A,​NewA> groupKeyMapping, UniConstraintCollector<A,​?,​NewB> collector, org.drools.model.Variable<A> aVariable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected <X> A` | `createInput​(Function<org.drools.model.Variable<X>,​X> valueFinder)` |
    `protected DroolsAbstractGroupBy<A,​?>` | `newContext()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractGroupByAccumulator

      `accumulate, createContext, createWorkingMemoryContext, getResult, getValue, init, materialize, supportsReverse, tryReverse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsUniToBiGroupByAccumulator

          public DroolsUniToBiGroupByAccumulator​(Function<A,​NewA> groupKeyMapping,
                                                 UniConstraintCollector<A,​?,​NewB> collector,
                                                 org.drools.model.Variable<A> aVariable)

  - ### Method Detail

    - #### newContext

          protected DroolsAbstractGroupBy<A,​?> newContext()

      Specified by:
        `newContext` in class `DroolsAbstractGroupByAccumulator<A>`

    - #### createInput

          protected <X> A createInput​(Function<org.drools.model.Variable<X>,​X> valueFinder)

      Specified by:
        `createInput` in class `DroolsAbstractGroupByAccumulator<A>`